AjaxStatusTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.taglib.html.jsp.AjaxStatusTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class AjaxStatusTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.ajax4jsf.taglib.html.jsp.AjaxStatusTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AjaxStatusTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Jsp Tag for create request state component.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:30 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AjaxStatusTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setFor(java.lang.String _for)`
`void` | `setForceId(java.lang.String forceId)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setStartStyle(java.lang.String style)`
`void` | `setStartStyleClass(java.lang.String styleClass)`
`void` | `setStartText(java.lang.String text)`
`void` | `setStopStyle(java.lang.String style)`
`void` | `setStopStyleClass(java.lang.String styleClass)`
`void` | `setStopText(java.lang.String stopText)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxStatusTag

    public AjaxStatusTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setFor

    public void setFor(java.lang.String _for)

  Parameters:
    `_for` - The _for to set.

### setStartStyle

    public void setStartStyle(java.lang.String style)

  Parameters:
    `style` - The _startStyle to set.

### setStartStyleClass

    public void setStartStyleClass(java.lang.String styleClass)

  Parameters:
    `styleClass` - The _startStyleClass to set.

### setStartText

    public void setStartText(java.lang.String text)

  Parameters:
    `text` - The _startText to set.

### setStopText

    public void setStopText(java.lang.String stopText)

  Parameters:
    `stopText` - The stopText to set.

### setStopStyle

    public void setStopStyle(java.lang.String style)

  Parameters:
    `style` - The _stopStyle to set.

### setStopStyleClass

    public void setStopStyleClass(java.lang.String styleClass)

  Parameters:
    `styleClass` - The _stopStyleClass to set.

### setForceId

    public void setForceId(java.lang.String forceId)

  Parameters:
    `forceId` - The forceId to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.